##

is a Windows service (“”) that replaced the “Alarm Server” program that was available in and earlier (the legacy alarmsrv.exe program is still functional and available in the ...\system\bin folder).

resides on a workstation, where it receives and processes incoming alarms from a remote meter’s Alert module.

With the implementation of the , alarm notification is improved and simplified:

Since runs as a Windows service, a user is no longer required to log in to the product in order to start monitoring the system for alarm conditions.

can handle incoming calls from multiple communications ports.

When alarms are received, uses the to establish a modem connection, rather than using the legacy command line executable “conman.exe”.

allows you to set up specific modem connection request properties, such as Minimum/Maximum Connection Time, Disconnect on Caught-up, etc. These properties are set up in the ’s configuration file — see "Setting Up the " on page 1.

Note

does not support TAPI modem drivers for Windows (WinModems).

#### How it works

The responds to alarm messages originating from the Alert module in an meter. For example, an alarm message is initiated as a result of a power quality event:

An alarm condition prompts the ION module (for example, Setpoint module) to send a pulse signal to the Trigger input of the meter’s Alert module. Refer to the description of the Alert Module in the ION Reference for more information.

The Alert module initiates modem communication, and calls the phone number specified in the Alert module’s Destination setup register.

The workstation answers the modem call from the meter and completes the communication connection. The meter then sends the following information to : a timestamp indicating when the alarm condition occurred, the node name, and the message (i.e., contents of the Alert module’s Message setup register).

receives the alarm data and places it in the queue for processing. When the alarm is processed, the commands specified in the COM port configuration settings are executed. At the same time, a connection request is sent to the node specified in the alarm data.

The new connection request is received and placed in the queue. If other connection requests to the same site already exist, the new request is merged with the others.

establishes a connection to the meter that originated the alarm, then downloads all outstanding event and data logs.

Note

uses a modem (from the modem pool) to establish connection to the remote site.

disconnects after the has finished downloading all outstanding logs. When this has been completed, the status of the site is considered “Caught-up”.

### Setting up the

Note

This section is intended for advanced users. Contact if you need assistance.

The configuration settings for are stored in a config file that follows the file naming convention “{MachineName}.AlertMonitor.config“. An example config file with this name is provided in the ...\\config\AlertMonitor folder. An XML schema file named “AlertMonitor-Schema.xml” is also provided in the same folder, for your reference. You can use this schema to validate the config file using available XML validation tools.

Use a text editor or XML authoring tool to create and edit the configuration file. Remember to rename the config file to match the machine name (for example, if the primary server is named “ComputerOne”, rename the config file to “ComputerOne.AlertMonitor.config”).

#### Configuration file components

Channels define the communication port and modem that the uses, while Actions define the commands to be carried out in response to an alarm.

A Channel contains the modem definition and configuration settings for the port.

The following table lists the attributes you can assign for a Channel:

Channel attribute | Description
Name | Name of the communications port the modem is connected to. The default value is COM1.
ModemType | The type of modem. The value entered here must exactly match the displayed value under “Modem Type” property in the “Dial Out Modem Options” dialog.
BaudRate | The modem’s baud rate. The default value is 9600.
AlertMonitorNodeName | The node name, as it appears in the system log messages. The text specified here defines the value for the %a command parameter (described below). The default value is AlertMonitor.[ComputerName]
NoLog | This controls whether all alarms are logged to the product's system log. The default value is “YES” (log all alarms). A value of “NO” disables all alarm logging.
NumTries | This specifies how many times a connection attempt should be retried if there are communication errors.

Tip

Open the example file “{MachineName}.AlertMonitor.config” in a text editor program and refer to it when reading this section to see the proper usage of the elements and attributes in the configuration file.

Actions are grouped inside ActionSet elements, which contain connection requests and/or commands to execute when alarms are received. Specify “ConnectionRequest” to set up an ActionSet to send a connection request; specify “Command” to set up an ActionSet to execute an operating system command when the alert is received. You can specify attributes for ActionSets:

If the Channel attribute is used in the ActionSet (for example, <ActionSet Channel="COM1">), then the actions (commands) listed in the ActionSet are executed for all alarms coming through the communications port and modem specified for that Channel (that is, “COM1”).

If the Location attribute is used in the ActionSet, then the actions (commands) listed in the ActionSet are executed for all alarms originating from the specified Location (regardless of Channel).

If no attribute is specified, then the actions (commands) listed in the ActionSet are executed for all alarms originating from any communication port or location.

If there are two ActionSets (one specifying a Channel attribute, the other specifying Location attribute), then the one that specifies the Location attribute takes priority.

Note

The value of the “Location” attribute is specified in the Location setup register of the Alert module for the meter that is sending the alert. For details, refer to the Alert Module description in the ION Reference.

Commands (i.e., command lines that run separate applications such as “net send”) contained in the ActionSet can include parameters that return data values, as described in the following table:

Command Parameter | Description
%U | Universal time: seconds since January 1, 1970
%u | Universal time: YYYY-MM-DD HH:MM:SS.FFF
%T | Local time: seconds since January 1, 1970
%t | Local time: YYYY-MM-DD HH:MM:SS.FFF
%n | Node name (for example, device name)
%g | Gate name (for example, site name)
%p | Priority name
%P | Priority number
%m | Alarm message without delimiters
%M | Alarm message with “ “ delimiters
%a | The value of the AlertMonitorNodeName attribute. If this attribute is not used, the default value is “AlertMonitor.[ComputerName]”.

The “ConnectionRequest” element contained in the ActionSet has attributes that you can define, as described in the following table:

ConnectionRequest Attribute | Description
MaxConnectTimeSeconds | Maximum time (in seconds) a connection to the site is maintained. The default value is 300 seconds.
MinConnectTimeSeconds | Minimum time (in seconds) a connection to the site is maintained. The default value is 60 seconds.
RequestLifetimeHours | Defines how many hours a connection request remains valid before it is discarded (even if attempts to connect to the site are unsuccessful). The default value is 0.
RequestPriority | Priority of the connection request, which ranges from 0 to 2000. The highest priority is 2000. The default value is 1999.
DisconnectOnCaughtUp | This specifies to automatically disconnect from the site after has finished downloading all outstanding logs, including event and data logs. The default value is “No”.
Device | This explicitly defines which specific device to connect to in the site. This attribute overrides data contained in the alarm message.
Site | This explicitly defines which site to connect to. This attribute overrides data contained in the alarm message.

#### Multi-station setup

It is possible to run the on more than one machine in the system. However, the configuration files must be stored in the primary server, following the convention “ComputerName.AlertMonitor.config”.

For example, the running on a secondary server named “ComputerTwo” uses the configuration file named “ComputerTwo.AlertMonitor.config” located in the primary server.

#### Diagnostics

Diagnostic and error messages are logged in the system log, with the source “Alert Monitor”.

### Starting the

By default, the is stopped, and set to “Manual” startup type. To automatically start on Windows startup, change the startup properties of this Windows service to “Automatic”, then start the service. Refer to your Windows documentation for details.